{% extends "templates/form.njk" %}
{% from "packages/components/radios/macro.njk" import radios %}
{% from "packages/components/inset-text/macro.njk" import insetText %}
{% from "macros/hrt-date-input.njk" import hrtDateInput %}
{% from "packages/components/fieldset/macro.njk" import fieldset %}
{% from 'packages/components/details/macro.njk' import details %}
{% from 'packages/components/tables/macro.njk' import table %}
{% from "macros/hrt-form-description.njk" import hrtFormDescription %}

{% block formContent %}

  <h1 class="nhsuk-heading-l">{{ heading }}</h1>
  <p>{{ paragraphOne }}</p>

  <h2 class="nhsuk-heading-s">{{ headingTwo }}</h2>
  <p>{{ paragraphTwo }}</p>
  
  {{ details({
        "text": detailsText,
        "HTML": table({
            responsive: false,
            panel: false,
            firstCellIsHeader: false,
            head: [{ text: tableHeadOne }, { text: tableHeadTwo }, { text: tableHeadThree }],
            rows: [
                  [{ header: tableHeadOne, text: tableRowOneTextOne }, 
                  { header: tableHeadTwo, text: tableRowOneTextTwo },
                  { header: tableHeadThree, text: tableRowOneTextThree }],
                  [{ header: tableHeadOne, text: tableRowTwoTextOne },
                  { header: tableHeadTwo, text: tableRowTwoTextTwo },
                  { header: tableHeadThree, text: tableRowTwoTextThree }]
                ]
        })
  }) }}

  {% call fieldset({
    legend: {
      text: measureAnalyticsQuestion,
      classes: "nhsuk-heading-s",
      isPageHeading: false
    }
  }) %}

    {{ radios({
        id: "cookies-declare",
        idPrefix: "input-statistics",
        name: "measureStatistics",
        errorMessage: errors | getErrorForField('areYouPregnant'),
        "items": [
            {
                value: "yes",
                checked : measureAnalytics === true,
                text: measureAnalyticsYes
            },
            {
                value: "no",
                checked : measureAnalytics !== true,
                text: measureAnalyticsNo
            }
        ]
    }) }}
    
  {% endcall %}

{% endblock %}